| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyFilterNodes_s Struct Reference
DAG and Image processing API

A FilterNode list. More...

`#include <oyFilterNodes_s.h>`

Inheritance diagram for oyFilterNodes_s:
Collaboration diagram for oyFilterNodes_s:

## Public Member Functions
OYAPI oyFilterNodes_s *OYEXPORT | oyFilterNodes_New (oyObject_s object)
| allocate a new FilterNodes object More...
OYAPI oyFilterNodes_s *OYEXPORT | oyFilterNodes_Copy (oyFilterNodes_s *filternodes, oyObject_s object)
| copy or reference a FilterNodes object More...
OYAPI int OYEXPORT | oyFilterNodes_Release (oyFilterNodes_s **filternodes)
| release and possibly deallocate a oyFilterNodes_s object More...
OYAPI int OYEXPORT | oyFilterNodes_MoveIn (oyFilterNodes_s *list, oyFilterNode_s **obj, int pos)
| add an element to a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_ReleaseAt (oyFilterNodes_s *list, int pos)
| release a element from a FilterNodes list More...
OYAPI oyFilterNode_s *OYEXPORT | oyFilterNodes_Get (oyFilterNodes_s *list, int pos)
| get a element of a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Count (oyFilterNodes_s *list)
| count the elements in a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Clear (oyFilterNodes_s *list)
| clear the elements in a FilterNodes list More...
OYAPI int OYEXPORT | oyFilterNodes_Sort (oyFilterNodes_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get a text dump More...

## Data Fields
oyStruct_Copy_f | copy
oyStruct_Release_f | release
Data Fields inherited from oyStruct_s
oyStruct_Copy_f | copy
oyStruct_Release_f | release

## Detailed Description

A FilterNode list.

## Member Function Documentation

OYAPI int OYEXPORT oyFilterNodes_Clear | ( | oyFilterNodes_s * | list | ) |

clear the elements in a FilterNodes list

Function oyFilterNodes_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_Clear().

OYAPI oyFilterNodes_s *OYEXPORT oyFilterNodes_Copy | ( | oyFilterNodes_s * | filternodes,
|  | oyObject_s | object
| ) |  |

copy or reference a FilterNodes object

Function oyFilterNodes_Copy

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | filternodes | FilterNodes struct object
  | object | NULL - means reference, the optional object triggers a real copy

References oyOBJECT_FILTER_NODES_S.

OYAPI int OYEXPORT oyFilterNodes_Count | ( | oyFilterNodes_s * | list | ) |

count the elements in a FilterNodes list

Function oyFilterNodes_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_Count().

Referenced by oyConversion_s::oyConversion_RunPixels(), oyFilterGraph_s::oyFilterGraph_CountNodes(), oyFilterGraph_s::oyFilterGraph_GetNode(), oyFilterGraph_s::oyFilterGraph_PrepareContexts(), oyFilterGraph_s::oyFilterGraph_ToText(), and oyFilterSocket_s::oyFilterSocket_SignalToGraph().

OYAPI oyFilterNode_s *OYEXPORT oyFilterNodes_Get | ( | oyFilterNodes_s * | list,
|  | int | pos
| ) |  |

get a element of a FilterNodes list

Function oyFilterNodes_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODE_S, oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_GetRefType().

Referenced by oyFilterGraph_s::oyFilterGraph_CountNodes(), oyFilterGraph_s::oyFilterGraph_GetNode(), oyFilterGraph_s::oyFilterGraph_PrepareContexts(), oyBlob_s::oyFilterGraph_ToBlob(), oyFilterGraph_s::oyFilterGraph_ToText(), and oyFilterSocket_s::oyFilterSocket_SignalToGraph().

OYAPI int OYEXPORT oyFilterNodes_MoveIn | ( | oyFilterNodes_s * | list,
|  | oyFilterNode_s ** | obj,
|  | int | pos
| ) |  |

add an element to a FilterNodes list

Function oyFilterNodes_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODE_S, oyOBJECT_FILTER_NODES_S, oyStructList_s::oyStructList_Create(), and oyStructList_s::oyStructList_MoveIn().

OYAPI oyFilterNodes_s *OYEXPORT oyFilterNodes_New | ( | oyObject_s | object | ) |

allocate a new FilterNodes object

Function oyFilterNodes_New

References oyOBJECT_OBJECT_S.

Referenced by oyFilterNode_s::oyFilterGraph_SetFromNode().

OYAPI int OYEXPORT oyFilterNodes_Release | ( | oyFilterNodes_s ** | filternodes | ) |

release and possibly deallocate a oyFilterNodes_s object

Function oyFilterNodes_Release

Parameters

  [in,out] | filternodes | FilterNodes struct object

References oyOBJECT_FILTER_NODES_S.

Referenced by oyFilterNode_s::oyFilterGraph_SetFromNode().

OYAPI int OYEXPORT oyFilterNodes_ReleaseAt | ( | oyFilterNodes_s * | list,
|  | int | pos
| ) |  |

release a element from a FilterNodes list

Function oyFilterNodes_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_FILTER_NODES_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

OYAPI int OYEXPORT oyFilterNodes_Sort | ( | oyFilterNodes_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyFilterNodes_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_FILTER_NODES_S, and oyStructList_s::oyStructList_Sort().

## Field Documentation

oyStruct_Copy_f oyFilterNodes_s::copy

copy function

oyStruct_Release_f oyFilterNodes_s::release

release function